dspace_rest_client.gemspec 1.45 KB
Newer Older
1
2
3
4
5
6
# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dspace/version'

Gem::Specification.new do |spec|
7
  spec.date = '2016-03-14'
8
  spec.name = 'dspace_rest_client'
9
  spec.version = Dspace::VERSION
10
11
  spec.authors = ['Mauricio Giacomini Girardello', 'Lucas Ernesto Kindinger', 'Bruno N. Zanette', 'Mateus Rambo Strey']
  spec.email = ['mauriciogiacomini4@gmail.com', 'mateus.rstrey@gmail.com' 'kindingerlek@hotmail.com']
12
13
14
15
  spec.summary = 'DSpace REST API Client for Ruby'
  spec.description = 'DSpace REST-API Client for Ruby! Implements all DSpace REST-API endpoints requests.'
  spec.homepage = 'https://gitlab.c3sl.ufpr.br/c3sl/dspace-rest-client'
  spec.license = 'GNU - General Public License'
16
17
  spec.test_files = `git ls-files -z spec/`.split("\0")
  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
18
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
19
  spec.require_paths = ['lib']
20

21
22
23
24
  spec.add_runtime_dependency "json", '~> 1.8', '>= 1.8.3'
  spec.add_runtime_dependency "resource_kit", "~> 0.1.4"
  spec.add_runtime_dependency "faraday", "~> 0.9.2"
  spec.add_runtime_dependency "net-http-persistent", '~> 2.9', '>= 2.9.4'
25
  spec.add_runtime_dependency "activesupport", '>= 4.2.0'
26

27
28
  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
Mauricio Giacomini Girardello's avatar
Mauricio Giacomini Girardello committed
29
  spec.add_development_dependency 'rspec', '~> 3.4', '>= 3.4.0'
30
end